Skip to main content
GET
Global PnL leaderboard (Smart Money)

Authorizations

Authorization
string
header
required

Ironflow API key, format if_xxxx. Free keys at https://ironflow.sh/key. Optional on read endpoints.

Query Parameters

source
enum<string>
default:hyperliquid

Venue identifier. Defaults to hyperliquid.

Available options:
hyperliquid
from
integer<int64>

Start time as Unix milliseconds. Defaults to 24 hours ago. Clamped to tier history window. On /v1/trades and /v1/fills, the time range (to - from) is limited per tier (no key 1h, free key 6h, Explorer 24h, Builder 7d, Enterprise unlimited; without market filter 4h for all tiers). Returns QUERY_WINDOW_EXCEEDED (400) if exceeded — paginate with narrower from/to windows.

Example:

1718313600000

to
integer<int64>

End time as Unix milliseconds. Defaults to now.

Example:

1718400000000

limit
integer
default:50
Required range: 1 <= x <= 200
sort_by
enum<string>
default:realized_pnl

realized_pnl = top winners (DESC). loss = biggest losers (ASC by signed PnL). volume = highest notional traded.

Available options:
realized_pnl,
loss,
volume

Response

Ranked wallet list.

from
integer<int64>
to
integer<int64>
sort_by
enum<string>
Available options:
realized_pnl,
loss,
volume
data
object[]